# Uses of Enum Class
org.apache.lucene.search.SortedSetSelector.Type

Packages that use SortedSetSelector.Type
Package
Description
org.apache.lucene.document
The logical representation of a `Document` for indexing and searching.
org.apache.lucene.search
Code to search indices.

- ## Uses of SortedSetSelector.Type in org.apache.lucene.document

  Methods in org.apache.lucene.document with parameters of type SortedSetSelector.Type
  Modifier and Type
  Method
  Description
  `static SortField`
  KeywordField.`newSortField(String field, boolean reverse, SortedSetSelector.Type selector)`
  Create a new `SortField` for `BytesRef` values.

- ## Uses of SortedSetSelector.Type in org.apache.lucene.search

  Methods in org.apache.lucene.search that return SortedSetSelector.Type
  Modifier and Type
  Method
  Description
  `SortedSetSelector.Type`
  SortedSetSortField.`getSelector()`
  Returns the selector in use for this sort
  `static SortedSetSelector.Type`
  SortedSetSelector.Type.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SortedSetSelector.Type[]`
  SortedSetSelector.Type.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Methods in org.apache.lucene.search with parameters of type SortedSetSelector.Type
  Modifier and Type
  Method
  Description
  `static SortedDocValues`
  SortedSetSelector.`wrap(SortedSetDocValues sortedSet, SortedSetSelector.Type selector)`
  Wraps a multi-valued SortedSetDocValues as a single-valued view, using the specified selector
  Constructors in org.apache.lucene.search with parameters of type SortedSetSelector.Type
  Modifier
  Constructor
  Description
  ``
  `SortedSetSortField(String field, boolean reverse, SortedSetSelector.Type selector)`
  Creates a sort, possibly in reverse, specifying how the sort value from the document's set is selected.